## javax.xml.stream.events
Interface StartElement

All Superinterfaces:
  XMLEvent, XMLStreamConstants

public interface StartElement
extends XMLEvent

Fields inherited from interface javax.xml.stream.XMLStreamConstants
`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

Method Summary
`Attribute` `getAttributeByName(QName name)`
`java.util.Iterator` `getAttributes()`
`QName` `getName()`
`NamespaceContext` `getNamespaceContext()`
`java.util.Iterator` `getNamespaces()`
`java.lang.String` `getNamespaceURI(java.lang.String prefix)`

Methods inherited from interface javax.xml.stream.events.XMLEvent
`asCharacters, asEndElement, asStartElement, getEventType, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, writeAsEncodedUnicode`

Method Detail

### getAttributeByName

    public Attribute getAttributeByName(QName name)

### getAttributes

    public java.util.Iterator getAttributes()

### getName

    public QName getName()

### getNamespaceContext

    public NamespaceContext getNamespaceContext()

### getNamespaces

    public java.util.Iterator getNamespaces()

### getNamespaceURI

    public java.lang.String getNamespaceURI(java.lang.String prefix)

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.